TWIN Supply Chain Docs
API ReferenceDocuments

Get a document

GET/supply-chain/data-space/documents/{documentId}

Authorization

jwtBearerAuthScheme
AuthorizationBearer <token>

In: header

Path Parameters

documentId*string

The identifier of the document to retrieve.

Query Parameters

consignmentId?string

Optional consignment identifier to scope the lookup. When omitted, the document is located by searching across the caller's consignments.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/supply-chain/data-space/documents/INV-1234?consignmentId=CONS-001"
{  "id": "string",  "documentId": "string",  "documentCode": "string",  "documentType": "string",  "documentRevision": 0,  "metadata": {    "encodingFormat": "string",    "blobSize": 0,    "fileExtension": "string"  },  "href": "string",  "history": [    {      "id": "string",      "documentRevision": 0,      "href": "string"    }  ]}
{  "name": "GeneralError",  "message": "errorMessage",  "properties": {    "foo": "bar"  }}
{  "name": "UnauthorizedError",  "message": "errorMessage"}
{  "name": "InternalServerError",  "message": "errorMessage"}

Returns a single document by id. Same response shape and error codes as Get a consignment document.